Bug 994226 - RFE: Add Current late collections metric
RFE: Add Current late collections metric
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring -- Other (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: ---
: JON 3.4.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 15:35 EDT by Viet Nguyen
Modified: 2015-01-05 11:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
late collections (83.51 KB, image/png)
2013-08-06 15:35 EDT, Viet Nguyen
no flags Details

  None (edit)
Description Viet Nguyen 2013-08-06 15:35:25 EDT
Created attachment 783474 [details]
late collections

I want to be able to tell what the current size of the late bucket is.

I believe  "Late Collection" metric shows cumulative value, ie total late collections to date. In order to tell if the agent is falling behind one will have to examine a larger range of data to determine whether late collections are flattening out or trending upward.
Comment 2 Jay Shaughnessy 2014-08-25 09:29:28 EDT
Is this a catch-22?  It may be hard to report that metric in a timely manner given that metric reporting is falling behind.  To report on agent load may require something special-case, like additional information sent with the ping or something like that.  Also, the agent log does, I believe, report when falling behind.  It could be useful to know, though, that the agent is overloaded.  But pushing out of 3.3 due to time and priority.

Note You need to log in before you can comment on or make changes to this bug.